#ifndef SORTING_H
#define SORTING_H

#include <math.h>
#include <search.h>

struct SortStruct{
	int number;
	double value;
};

extern int IncreaseSort( const void *elm1, const void *elm2);
extern int DecreaseSort( const void *elm1, const void *elm2);

extern void GetSpiralPositions(int size, double* xPos, double *yPos, double &x, double &y);
extern void GetHorizontalPositions(int size, double* xPos, double *yPos, double &x, double &y);


#endif
