#ifndef AggregatedDimension_H
#define AggregatedDimension_H

#include <wx/hashmap.h>
#include <string>
#include "Basic/CLinkList.h"
#include "Dimension.h"


class AggregatedDimension : public Dimension 
{
// Variables declaration
protected: 
    int dimNum;
    int* dimIDs;
    float* weights;
    float total_weight;

// End of variables declaration

public:
    /** Creates new AggregatedDimension */
    AggregatedDimension(int dimNum, int* dimIDs, float* weights); 

    //deconstructor
    ~AggregatedDimension();
    
    double GetNorValue(std::string valueString);
    double GetValue(std::string valueString);
    void GetNorValue(Data* data, double &norValue);
    void GetLabels(std::string* &labels, double* &values, int &labelNum);

    void SetMinMaxString(std::string string1, std::string string2);

    void GetNorValueWithMinMax(Data* data, double &norValue, double &norMin, double &norMax);
    void GetNorValueWithMinMax(double value, double &norValue, double &norMin, double &norMax);


};

#endif