#ifndef _AXES_ITERATOR_H
#define _AXES_ITERATOR_H

#include "../Basic/Iterator.h"
#include "DocAxes.h"

class DocAxes;

class AxesIterator : public Iterator
{
protected:
    DimensionSpace* dimSpace;
    DocAxes* docAxes;
    int counter;

public:
    AxesIterator(DimensionSpace* dimSpace, bool dimXYNeeded, bool itemXYNeeded, IPHash* dimXYPosHash, IPHash* itemXYPosHash, IIHash* selectedDimHash, IIHash* selectedItemHash, IIHash* selectedBinHash, IIHash *labelDimHash);

	void* GetNext();

	bool IsDone();

	~AxesIterator();

};

#endif
