#include <FLOAT.h>
#include <string>
#include <fstream>

#include "BinaryDimension.h"


//constructor
BinaryDimension::BinaryDimension() 
{
    type = BINARY_DIMENSION;
    max = 1;
    min = 0;
    origMaxString = "1";
    origMinString = "0";
    maxString = "1";
    minString = "0";
}
    
//deconstructor
BinaryDimension::~BinaryDimension() 
{
}
    
void BinaryDimension::SetOriginalMaximumString(std::string maxString) {
}
    
void BinaryDimension::SetOriginalMinimumString(std::string minString) {
}

double BinaryDimension::GetValue(std::string valueString)
{
    double value = atof(valueString.c_str());
    if (value > 0.5)
        return 1;
    else
        return 0;
}

double BinaryDimension::GetNorValue(std::string valueString) 
{
    double value = GetValue(valueString);

    double v = (value - min) / (max - min);

    if (v < 0)
        v = 0;
    else if (v > 1)
        v = 1;

    return v;
}


void BinaryDimension::ChangeMinMax(std::string valueString)
{
}


double BinaryDimension::GetNorValue(Data data) 
{
    double value = data.d;
    
    if (value > 0.5)
        value = 1;
    else
        value = 0;

    double v = (value - min) / (max - min);

    if (v < 0)
        v = 0;
    else if (v > 1)
        v = 1;

    return v;
}

void BinaryDimension::ReadMetaInformation(std::ifstream *infile)
{
    char buf[2000];

    (*infile).getline(buf, 2000);
    
    mappingUncertain = true;
	SetCardinality(2);
}
