#ifndef DateDimension_H
#define DateDimension_H

#include <wx/datetime.h>
#include <string>
#include "../Basic/CLinkList.h"
#include "Dimension.h"

class DateDimension : public Dimension 
{
protected: 
    wxDateTime firstDate, lastDate;

public:
    DateDimension(); 
    ~DateDimension();
    
    double GetNorValue(std::string valueString);
    double GetValue(std::string valueString);
    void GetNorValue(Data* data, double &norValue);

    void GetLabels(std::string* &labels, double* &values, int &labelNum);

    void ReadMetaInformation(std::ifstream *infile);

    void ChangeMinMax(std::string valueString);

    void SetOriginalMaximumString(std::string maxString);
    void SetOriginalMinimumString(std::string minString);
    double GetNorValue(Data data);


};

#endif