#ifndef _DimensionIterator_H
#define _DimensionIterator_H

#include "../Basic/Iterator.h"
#include "Dimension.h"
#include "../Basic/CLinkList.h"

//////////////////////////////////////////////////////////////////////////
/// \brief 
///
//////////////////////////////////////////////////////////////////////////
class DimensionIterator : public Iterator
{
protected:	// members
    CLinkList* dims;
	int currPos;
	int size;

public:		// methods

	// Constructor
	DimensionIterator(CLinkList* dims);

	/// Destructor
	~DimensionIterator();

    bool HasNext();

	Dimension* GetDimension();
//    int GetSize(bool &precise);
};

#endif	// _DimensionIterator_H

