#include "DimensionLabelIterator.h"


DimensionLabelIterator::DimensionLabelIterator(DimensionSpace* dimSpace)
{
	this->dimSpace = dimSpace;

    dim = NULL;

    docLabel= new DocLabel();
    dimNum = dimSpace->GetSize();
    counter = 0;
    counter1 = 0;
    labelNum = 0;

    labels = NULL;
    values = NULL;

    
}	

DimensionLabelIterator:: ~DimensionLabelIterator()
{
	delete docLabel;
    if (labels != NULL)
        delete [] labels;
    if (values != NULL)
        delete [] values;
}

void* DimensionLabelIterator::GetNext()
{
    if (counter1 == labelNum)
    {
        if (labels != NULL)
            delete [] labels;
        if (values != NULL)
            delete [] values;
        dim = dimSpace->GetDimension(counter);
        dim->GetLabels(labels, values, labelNum);
        counter ++;
        counter1 = 0;
    }
    
    docLabel->SetText(labels[counter1]);
    docLabel->SetNorValue(values[counter1]);
    docLabel->SetDimensionID(dimSpace->GetDimension(counter-1)->GetDimensionID());

    if (counter1 == 0)
        docLabel->SetMin(true);
    else
        docLabel->SetMin(false);

    if (counter1 == 1)
        docLabel->SetMax(true);
    else
        docLabel->SetMax(false);
	
    counter1 ++;
    return docLabel;
}


bool DimensionLabelIterator::IsDone()
{
    if (counter1 < labelNum || counter < dimNum)
        return false;
    else
        return true;
}


