#ifndef _IN_MEMORY_FLAT_DATA_ITERATOR_H
#define _IN_MEMORY_FLAT_DATA_ITERATOR_H

#include "Basic/Iterator.h"
#include "DataStructure/DocRow.h"

union Data;
class FlatRowEntry;
class DataBuffer;
struct RGBt;
class DimensionManager;

class InMemoryFlatRowIterator : public Iterator
{
protected:
//	int* markArray;
//    int mark;
    DataBuffer* dataBuffer;
    int dataSize;
    int nextPosition;
//    RGBt* colors; 
	DimensionSpace* dimSpace;
    int outputMode;

    int dimNum;
//    bool extents;
    DocRow* docData;
//    Data* allData;
  //  double* averages;
   // double* mins;
   // double* maxes;

public:
//	InMemoryFlatRowIterator(int* markArray, int mark, 
//							 DataBuffer* dataBuffer, RGBt* colors, 
//							 DimensionManager* dimManager);
	InMemoryFlatRowIterator(DataBuffer* dataBuffer, DimensionSpace* dimSpace, bool dimCluster, int outputMode);

	/*
	* Get the next cache entry.
	*/
	void* GetNext();

	bool IsDone();

	~InMemoryFlatRowIterator();

protected:
    int GetNextPosition(int oldPosition);

};

#endif
