#ifndef _VideoShot_ITERATOR_H
#define _VideoShot_ITERATOR_H

#include "Basic/Iterator.h"
#include "Basic/Macros.h"
#include "DocVideoShot.h"
#include "../DBConnection/DBManager.h"

class VideoShotIterator : public Iterator
{
protected:
    IIHash* selectedItemHash;
    ResultSet* re;
    DocVideoShot* shot;

    bool isDone;
    int id;
    std::string name;
    int startTime, endTime;

public:
    VideoShotIterator(DBManager* dbManager, IIHash* selectedItemHash);
    ~VideoShotIterator();

    void* GetNext();
	bool IsDone();

};

#endif
