#ifndef _Dimstack_VISUAL_AXES_META_H
#define _Dimstack_VISUAL_AXES_META_H

#include "../VisualAxesMeta.h"
#include "DimstackDrawer.h"
#include "DimstackDrawerSettings.h"

class DimstackDrawer;

class DimstackVisualAxesMeta : public VisualAxesMeta 
{
protected:
    DimstackDrawer* drawer;
    DimstackDrawerSettings* settings; 
	float xSize;
	float ySize;
    DimensionSpace* dimSpace;

public:
    DimstackVisualAxesMeta(DimstackDrawer* drawer);
	~DimstackVisualAxesMeta();

    VisualElement* InstantVisualElement();
    void Convert(VisualElement* visualEle, DocElement* docEle);
};

#endif

