#ifndef _Var_VISUAL_AXES_H
#define _Var_VISUAL_AXES_H

#include "../VisualAxes.h"
#include "VarDrawerSettings.h"

class VisualAxes;
class VarDrawerSettings;

class VarVisualAxes : public VisualAxes
{
protected:
    VarDrawerSettings* settings;
    int dimNum;


public:
	VarVisualAxes();
	~VarVisualAxes();

    int GetDimensionNum();
    void GetDimensionIDs(int* ids);

    void SetSettings(VarDrawerSettings* settings);
    void GetDimensionXYPos(int itemID, float &xPos, float&yPos);
    float GetDimensionZPos(int itemID); 
    void GetDimensionXYSize(int itemID, float &xSize, float &ySize);
    bool IsLabelDimensionVisible(int itemID);

};

#endif

