#ifndef _Var_VISUAL_AXES_META_H
#define _Var_VISUAL_AXES_META_H

#include "../VisualAxesMeta.h"
#include "VarDrawer.h"
#include "VarDrawerSettings.h"

class VarDrawer;

class VarVisualAxesMeta : public VisualAxesMeta 
{
protected:
    VarDrawer* drawer;
    VarDrawerSettings* settings; 
	float xSize;
	float ySize;

public:
    VarVisualAxesMeta(VarDrawer* drawer);
	~VarVisualAxesMeta();

    VisualElement* InstantVisualElement();
    void Convert(VisualElement* visualEle, DocElement* docEle);
};

#endif

