#include <stdio.h>
#include "VarVisualTimeHistogram.h"

VarVisualTimeHistogram::VarVisualTimeHistogram() : VisualTimeHistogram()
{
}

VarVisualTimeHistogram::~VarVisualTimeHistogram()
{
}

void VarVisualTimeHistogram::SetTexture(GLuint texture)
{
	this->texture = texture;
}

//width: the width of the original texture object
void VarVisualTimeHistogram::SetWidth(int width)        
{	
	this->width = width;
}

//height: the height of the origianl texture object
void VarVisualTimeHistogram::SetHeight(int height)      
{
	this->height = height;
}

void VarVisualTimeHistogram::SetXPosition(float x)
{
	xPos = x;
}

void VarVisualTimeHistogram::SetYPosition(float y)
{
	yPos = y;
}

void VarVisualTimeHistogram::SetXSize(float x)
{
	xSize = x;
}

void VarVisualTimeHistogram::SetYSize(float y)
{
	ySize = y;
}

GLuint VarVisualTimeHistogram::GetTexture()
{
	return texture;
}

//width: the width of the original texture object
int VarVisualTimeHistogram::GetWidth()        
{	
	return width;
}

//height: the height of the origianl texture object
int VarVisualTimeHistogram::GetHeight()      
{
	return height;
}

float VarVisualTimeHistogram::GetXPosition()
{
	return xPos;
}

float VarVisualTimeHistogram::GetYPosition()
{
	return yPos;
}

void VarVisualTimeHistogram::SetZPosition(float z)
{
	zPos = z;
}

float VarVisualTimeHistogram::GetZPosition()
{
	return zPos;
}


float VarVisualTimeHistogram::GetXSize()
{
	return xSize;
}

float VarVisualTimeHistogram::GetYSize()
{
	return ySize;
}