#include <stdio.h>
#include "VideoClipVisualAxes.h"

VideoClipVisualAxes::VideoClipVisualAxes() : VisualAxes()
{
}

VideoClipVisualAxes::~VideoClipVisualAxes()
{
}

void VideoClipVisualAxes::SetSettings(VideoClipDrawerSettings* settings)
{
    this->settings = settings;
}

void VideoClipVisualAxes::GetItemXYPos(int itemID, float &xPos, float&yPos)
{
    settings->GetTextureXYPosition(itemID, xPos, yPos);
}

float VideoClipVisualAxes::GetItemZPos(int itemID)
{
    return settings->GetTextureZPosition(itemID);
}

void VideoClipVisualAxes::GetItemXYSize(int itemID, float &xSize, float &ySize)
{
    settings->GetTextureXYSize(itemID, xSize, ySize);
}