#ifndef _GRAPH_VISUAL_AXES_H
#define _GRAPH_VISUAL_AXES_H

#include "../VisualAxes.h"
#include "VideoClipDrawerSettings.h"

class VisualAxes;
class VideoClipDrawerSettings;

class VideoClipVisualAxes : public VisualAxes
{
protected:
    VideoClipDrawerSettings* settings;

public:
	VideoClipVisualAxes();
	~VideoClipVisualAxes();

    void SetSettings(VideoClipDrawerSettings* settings);

    void GetItemXYPos(int itemID, float &xPos, float&yPos);

    float GetItemZPos(int itemID); 

    void GetItemXYSize(int itemID, float &xSize, float &ySize);
};

#endif

