#ifndef VARDIALOG_H
#define VARDIALOG_H

#include <wx/wx.h>
#include <wx/filedlg.h>

enum
{ 
	VSCRBAR  =   1,
	HSCRBAR  =   2,

	MENU_SAVEIMAGE = 101,
};


class VarDialog: public wxDialog
{
  protected:
	wxMenuBar  *menuBar;

    wxBoxSizer *topSizer;
	wxBoxSizer *quickButtonSizer;
	wxBoxSizer *majorSizer;

    wxSlider* sizeSlider;
    wxSlider* simiSelectSlider;
    wxSlider* distinctSelectSlider;
    wxSlider* distortionSlider;

  public:
	VarDialog(const wxChar *title, int xpos, int ypos, int width, int height);
	~VarDialog();

/*    grCanvas* GetCanvas() {return canvas;}
	
    void SetVScrollBar();
    void SetHScrollBar();
    void OnScrBarThumbTrack(wxScrollEvent& event);
*/
	DECLARE_EVENT_TABLE()

};


#endif

