#ifndef ViewMultipleVideoWindow_H
#define ViewMultipleVideoWindow_H

#include <wx/wx.h>
#include <string>
class MediaCtrl;

enum  //USE 601 - 699
{ 
};

class ViewMultipleVideoWindow : public wxFrame
{
private:
    MediaCtrl **mediaCtrls;
    wxString *videoFile;
    int num;
    wxGridSizer *sizer;
    MediaCtrl *currMediaCtrl;
    std::string *captions;
    wxColour *captionColors;
    int *types;
    int max;
    int count;
    std::string keyword;

public:
    ViewMultipleVideoWindow(int num, wxString *videoFiles, int *types, std::string title, std::string *captions, wxColour *captionColors);
    ~ViewMultipleVideoWindow();

    void Play();
    void MuteAll();
    void PlayAll();
    void PauseAll();
    void StopAll();
    bool ResetCurrentMediaCtrl(MediaCtrl *current);
    std::string GetKeyword() {return keyword;}

protected:
    int GetPrevPos(int j1);
    int GetPostPos(int j1);
    void GetMustPlayRange(int j, int &j1, int &j2);
    void SetCurrentMediaCtrl();


    DECLARE_EVENT_TABLE()
};

#endif
