#include <wx/wx.h>
#include <wx/mediactrl.h>
#include "ViewVideoWindow.h"

BEGIN_EVENT_TABLE(ViewVideoWindow, wxFrame)
//    EVT_PAINT(ViewVideoWindow::OnPaint)
//    EVT_SIZE(ViewVideoWindow::OnSize)
END_EVENT_TABLE()

ViewVideoWindow::ViewVideoWindow(wxString &videoFile) : 
    wxFrame(NULL, -1, videoFile)
{
    SetTitle(videoFile.Right(videoFile.Length() - videoFile.Find('\\', true) - 1));

	wxBoxSizer *sizer = new wxBoxSizer( wxVERTICAL );
	SetSizer( sizer );      
    mediaCtrl = new wxMediaCtrl(this, MEDIACTRL_WND, videoFile);
    mediaCtrl->ShowPlayerControls( );
    sizer->Add(mediaCtrl, 1, wxEXPAND | wxALL, 0);

}
/*
ViewVideoWindow::ViewVideoWindow(std::string path, VideoShotIterator *it) : 
    wxFrame(NULL, -1, "")
{

	wxBoxSizer *sizer = new wxBoxSizer( wxVERTICAL );
	SetSizer( sizer );      
    mediaCtrl = new MultipleMediaCtrl(this, MEDIACTRL_WND, path, it);
    sizer->Add(mediaCtrl, 1, wxEXPAND | wxALL, 0);

}*/

ViewVideoWindow::~ViewVideoWindow()
{
}

void ViewVideoWindow::Play()
{
    if (mediaCtrl != NULL)
    {
        mediaCtrl->Play();
    }
}
