#ifndef MDS_H
#define MDS_H

#ifdef  __cplusplus
extern "C" {
#endif

//np: number of data points 
//dim: you can leave it to be 1
//dataD: npXnp matrix, the cov_matrix
//disDim: 2 if your output is 2D screen, 3 if your output is 3D screen
//disp: matrix: disp[2][np] for store the output x and y for np points. You should allocate the space 
//num_bonds: only a subset of the points are considered in each iteration. You can adjust it. (I used 20 for a 1000 np set).
//num_iter: number of iterations. I used 20 for a 1000 np set. You can adjust it.
//usedisp: should be 0.
extern int mds(int nP, int dim, double **dataD, int disDim, double **disP, int num_bonds, int num_iter, int useDisP);

#ifdef  __cplusplus
}
#endif

#endif
    