#ifndef ONLINEDATACLUSTERING_H
#define ONLINEDATACLUSTERING_H

#include "CLinkList.H"                                                  
#include "ARR.H"                                                  
#include "cluster.H"                                                  
#include <math.h>
#include <string.h>

struct DataPair{
	CLinkListNode *p1, *p2;
    DataPair(CLinkListNode *pointer1, CLinkListNode *pointer2) : p1(pointer1), p2(pointer2) {}
};

struct ClusterNode{
    int id;
    int count;
    int entries;
	double *data;
    double radius;
	CLinkListNode *parent;
    ~ClusterNode() 
    {
        delete data;
    }
};

extern bool OnlineClusterOkcFileToCgFile(const char* okc_file_name, int repeat_times, bool binary);

#endif

