//this file contains most if not all macros used in the sytem

#ifndef globals_H
#define globals_H

#define DB(var) { printf("#var = %d\n", var); }
/*

#include <fstream>
//extern std::ofstream LOGFP;

#define LOG(var)               { \
        LOGFP << "" #var " = "; \
        LOGFP << var; \
        LOGFP << "\n"; flush(LOGFP); }

#define VV <<" "<<
*/
#ifndef MIN2
# define MIN2(X,Y) ((X)<(Y)?(X):(Y))
#endif
#ifndef MAX2
# define MAX2(X,Y) ((X)>(Y)?(X):(Y))
#endif

#define BITCLEAR(var,bits) {var&=(0xffff^(bits));}
#define BITSET(var,bits) {var|=(bits);}
#define BITTEST(var,bits) (((var)&(bits))==bits)

#define CLAMP(A,L,H) (((A)<(L))?(L):( ((A)>(H))?(H):A ))
  

#define BG                           0
#define LABEL                       (BG+1)
#define FLAT_UNBRUSHED_DATA         (LABEL+1)
#define OVERLAP                     (FLAT_UNBRUSHED_DATA+1)
#define PAINT                       (OVERLAP+1)
#define HIER_BRUSHED_DATA           (PAINT+1) 
#define SBB                         (HIER_BRUSHED_DATA+1)
#define BAND                        (SBB)
#define HIER_UNBRUSHED_DATA         (SBB)
#define GRID                        (HIER_UNBRUSHED_DATA+1)  
#define AXES                        (GRID)  
#define BRUSH                       (AXES+9)  
#define STAT                        (BRUSH+4) 
#define HIGHLIGHT                   (STAT+2)
#define FLAT_BRUSHED_DATA           (HIGHLIGHT)
#define CATEGORY                    (HIGHLIGHT+9)
#define NUERIC                      (CATEGORY+25)
#define TOTAL_COLOR_SETTING_NUM     (NUERIC+10)

/*
#define BG 0
#define LABEL 1
#define FLAT_UNBRUSHED_DATA 2
#define OVERLAP 3
#define PAINT 4
#define HIER_BRUSHED_DATA 5 
#define GRID 6  //Grid0-3 
#define AXES 6  //Grid0-3 
#define BRUSH 10 //Brush0-3 
#define STAT 14 //STAT0-1 
#define HIGHLIGHT 16    //hightlight0-7 (16-23)  
#define FLAT_BRUSHED_DATA 16
#define HIER_UNBRUSHED_DATA 24
#define SBB 24
#define BAND 24
#define CATEGORY 25 //Category 1 - 10 (25 - 34)
*/

#define DIMENSIONNAME 251
#define DIMENSIONLABEL 252
#define RULER 253
#define BIN 254 
#define TIMEHISTOGRAM 255
#define MASK 256
#define COLUMN 257  


#define NODISPLAY 100
#define VAR 101
#define PARCOORD 102
#define SC 103
#define ST 104
#define DI 105
#define HPC 106
#define HSC 107
#define HST 108
#define HDI 109
#define DEMO 110
#define GLYPH 111
#define DIMSTACK 112

#define ROW_NORVALUEONLY 0
#define ROW_CARDONLY 1
#define ROW_DATAONLY 2

#define UNKNOWN -2

#include <string>
#include <wx/hashmap.h>

//WX_DECLARE_VOIDPTR_HASH_MAP(void*, PPHash); 
WX_DECLARE_HASH_MAP(void*, void*, wxPointerHash, wxPointerEqual, PPHash); 
WX_DECLARE_HASH_MAP( int, void*, wxIntegerHash, wxIntegerEqual, IPHash);
WX_DECLARE_HASH_MAP( int, int, wxIntegerHash, wxIntegerEqual, IIHash);
WX_DECLARE_HASH_MAP( int, float, wxIntegerHash, wxIntegerEqual, IFHash);
WX_DECLARE_HASH_MAP( int, std::string, wxIntegerHash, wxIntegerEqual, ISHash);

//WX_DECLARE_STRING_HASH_MAP(grTexture, TextHash);

//#include <wx/hashset.h>

//WX_DECLARE_HASH_SET(int, wxIntegerHash, wxIntegerEqual, IntSet);

#endif
