#include "AxesIterator.h"


AxesIterator::AxesIterator(DimensionSpace* dimSpace, bool dimXYNeeded, bool itemXYNeeded, IPHash* dimXYPosHash, IPHash* itemXYPosHash, IIHash* selectedDimHash, IIHash* selectedItemHash, IIHash* selectedBinHash, IIHash *labelDimHash)
{
	this->dimSpace = dimSpace;

    docAxes= new DocAxes(dimSpace, dimXYNeeded, itemXYNeeded, dimXYPosHash, itemXYPosHash, selectedDimHash, selectedItemHash, selectedBinHash, labelDimHash);

    counter = 0;
}	

AxesIterator:: ~AxesIterator()
{
	delete docAxes;
}

void* AxesIterator::GetNext()
{
    counter ++;
	return docAxes;
}


bool AxesIterator::IsDone()
{
    if (counter < 1)
        return false;
    else
        return true;
}


