#ifndef _Bin_ITERATOR_H
#define _Bin_ITERATOR_H

#include "Basic/Iterator.h"
#include "DocBin.h"
#include "../Analysis/Sort/sorting.h"

class BinIterator : public Iterator
{
protected:
    int binNum;
    int total_count;
    int* binCounts;
    int* cardinalities;
    int* intervals;

    Iterator *rowIter;
    DocBin* docBin;

    int count;
    DimensionSpace* dimSpace;
    int dimNum;

    int notEmptyBinNum;
    bool sort;

    double *xPos, *yPos;
    SortStruct *sortArray;

public:
    BinIterator(Iterator* rowIter, DimensionSpace* dimSpace);
    ~BinIterator();

    void* GetNext();
	bool IsDone();
};

#endif
