#ifndef BinaryDimension_H
#define BinaryDimension_H

#include <string>

#include "DoubleDimension.h"

class BinaryDimension : public DoubleDimension 
{
public:
    BinaryDimension(); 
    ~BinaryDimension();
    
    void SetOriginalMaximumString(std::string maxString);
    void SetOriginalMinimumString(std::string minString);
    double GetValue(std::string valueString);
    double GetNorValue(std::string valueString); 
    void ChangeMinMax(std::string valueString);
    double GetNorValue(Data data);
    void ReadMetaInformation(std::ifstream *infile);
};

#endif