#ifndef _DBFlatDataSetLoader_H
#define _DBFlatDataSetLoader_H

#include <string>
#include "DBConnection/DBManager.h"
#include "DataStructure/DimensionSpace.h"

class DBFlatDataSetLoader
{
protected:

public:
	DBFlatDataSetLoader();
	~DBFlatDataSetLoader();
	
    bool Load(DBManager* db, std::string OKCfileName, bool binaryMode);
//    int GetSortDim() {return sortDim;}

protected:
    std::string GetCreateTableString(std::string dataTableName, DimensionSpace* dimSpace);
    std::string GetInsertTableString(std::string dataTableName, 
             int numDims, std::string* strs, int itemID, bool hasDescription, std::string itemDescr);
    std::string GetDropTableString(std::string dataTableName);
    void ReadFirstLine(std::ifstream *infile, int &numDims, int &numDataItems, bool &hasDescription, std::string &destr);
    void WriteFirstLine(std::ofstream *outfile, int numDims, int numDataItems, bool hasDescription, std::string destr);


};

#endif

