#ifndef _DIMENSION_LABEL_ITERATOR_H
#define _DIMENSION_LABEL_ITERATOR_H

#include "../Basic/Iterator.h"
#include "DocLabel.h"
#include "DimensionSpace.h"

class DocLabel;

class DimensionLabelIterator : public Iterator
{
protected:
    DimensionSpace* dimSpace;
    Dimension* dim;
    DocLabel* docLabel;
    int dimNum;
    int counter;
    int counter1;
    int labelNum;

    std::string *labels;
    double *values;

public:
	DimensionLabelIterator(DimensionSpace* dimSpace);

	void* GetNext();

	bool IsDone();

	~DimensionLabelIterator();
};

#endif
