//Here, Bin means a Bin in a high dimensional space

#ifndef DocVideoShot_H
#define DocVideoShot_H

#include "DocElement.h"

class DocVideoShot : public DocElement
{
protected:
    std::string videoName;
    int startTime;
    int endTime;
    int id;

public: 
    DocVideoShot() {}
    ~DocVideoShot() {}

    void SetVideoName(std::string name) {videoName = name;}
    std::string GetVideoName() {return videoName;}

    void SetStartTime(int time) {startTime = time;}
    void SetEndTime(int time) {endTime = time;}

    int GetStartTime() {return startTime;}
    int GetEndTime() {return endTime;}

    void SetVideoID(int id) {this->id = id;}
    int GetVideoID() {return id;}

};




#endif

