#ifndef DoubleDimension_H
#define DoubleDimension_H

#include <string>

#include "Dimension.h"

class DoubleDimension : public Dimension 
{
public:
    DoubleDimension(); 
    virtual ~DoubleDimension();
    
    virtual void SetOriginalMaximumString(std::string maxString);
    virtual void SetOriginalMinimumString(std::string minString);
    virtual double GetNorValue(std::string valueString);
    virtual double GetValue(std::string valueString);
    virtual double GetNorValue(Data data);

//    virtual void GetNorValue(Data* data, double &norValue);
    virtual void GetNorValueWithMinMax(Data* data, double &norValue, double &norMin, double &norMax);
    virtual void GetLabels(std::string* &labels, double* &values, int &labelNum);
    virtual void GetNorValueWithMinMax(double value, double &norValue, double &norMin, double &norMax);

    virtual void ReadMetaInformation(std::ifstream *infile);

    virtual void ChangeMinMax(std::string valueString);
   
    virtual void SetMappingUncertain(bool unc) {mappingUncertain = unc;}

};

#endif