#ifndef FLATDATASET_H
#define FLATDATASET_H

#include <stdio.h>
#include "../basic/Iterator.h"
#include "DimensionSpace.h"

class Query;

class FlatDataSet
{
protected: 
//    int sortDim;
    bool sampling;
    int samplingMode;
    float biaseFactor;


public: 
	FlatDataSet();
	virtual ~FlatDataSet();

/*	virtual Iterator* LoadUnbrushedData();
	virtual Iterator* LoadBrushedData();
	virtual Iterator* LoadBrushedDataAverages();

    virtual FlatDataEntry* GetDataEntry(int entryID);
*/
    virtual Iterator* LoadRows(DimensionSpace* dimSpace, Query* query, bool dimCluster, bool ordering, int outputMode, bool loadDescriptions, bool storeDescriptions);
    virtual Iterator* LoadColumns(DimensionSpace* loadSpace, Query* query) {return NULL;}
    virtual bool ReadData(std::ifstream* infile, DimensionSpace* dimSpace, int itemNum, bool hasDescription);
    virtual std::string GetItemDescription(int itemID) {return "";}
//    void SetSortDimension(int sortDim);
};



#endif

