#ifndef _IN_MEMORY_FLAT_Column_ITERATOR_H
#define _IN_MEMORY_FLAT_Column_ITERATOR_H

#include "Basic/Iterator.h"
#include "DataStructure/DocColumn.h"
#include "DataStructure/Query.h"

union Data;
class DataBuffer;
struct RGBt;
class DimensionManager;

class InMemoryFlatColumnIterator : public Iterator
{
protected:
    DataBuffer* dataBuffer;
	DimensionSpace* allDimSpace;
	DimensionSpace* dimSpace;
    Query *query;

    int queryMode, groupingMode;
    bool isMaskable;

    int rowNum; 
    DocColumn* docColumn;
    int dimNum;
    int count;


public:
    InMemoryFlatColumnIterator(DataBuffer* dataBuffer, DimensionSpace* allDimSpace, DimensionSpace* dimSpace, Query *query);
    ~InMemoryFlatColumnIterator();

    void* GetNext();
	bool IsDone();

};

#endif
