#include <stdio.h>
#include "VarVisualColumn.h"

VarVisualColumn::VarVisualColumn() : VisualColumn()
{
    maskMode = false;
}

VarVisualColumn::~VarVisualColumn()
{
}

void VarVisualColumn::SetTexture(GLuint texture)
{
	this->texture = texture;
}

void VarVisualColumn::SetMaskTexture(GLuint texture)
{
	this->maskTexture = texture;
}
//width: the width of the original texture object
void VarVisualColumn::SetWidth(int width)        
{	
	this->width = width;
}

//height: the height of the origianl texture object
void VarVisualColumn::SetHeight(int height)      
{
	this->height = height;
}

void VarVisualColumn::SetXPosition(float x)
{
	xPos = x;
}

void VarVisualColumn::SetYPosition(float y)
{
	yPos = y;
}

void VarVisualColumn::SetXSize(float x)
{
	xSize = x;
}

void VarVisualColumn::SetYSize(float y)
{
	ySize = y;
}

GLuint VarVisualColumn::GetTexture()
{
	return texture;
}

GLuint VarVisualColumn::GetMaskTexture()
{
	return maskTexture;
}
//width: the width of the original texture object
int VarVisualColumn::GetWidth()        
{	
	return width;
}

//height: the height of the origianl texture object
int VarVisualColumn::GetHeight()      
{
	return height;
}

float VarVisualColumn::GetXPosition()
{
	return xPos;
}

float VarVisualColumn::GetYPosition()
{
	return yPos;
}

void VarVisualColumn::SetZPosition(float z)
{
	zPos = z;
}

float VarVisualColumn::GetZPosition()
{
	return zPos;
}


float VarVisualColumn::GetXSize()
{
	return xSize;
}

float VarVisualColumn::GetYSize()
{
	return ySize;
}