#include <stdio.h>
#include "VarVisualMask.h"
#include "VarDrawer.h"

VarVisualMask::VarVisualMask()
{
}

VarVisualMask::~VarVisualMask()
{
}

void VarVisualMask::SetTexture(GLuint texture)
{
	this->texture = texture;
}

//width: the width of the original texture object
void VarVisualMask::SetWidth(int width)        
{	
	this->width = width;
}

//height: the height of the origianl texture object
void VarVisualMask::SetHeight(int height)      
{
	this->height = height;
}

void VarVisualMask::SetXPosition(float x)
{
	xPos = x;
}

void VarVisualMask::SetYPosition(float y)
{
	yPos = y;
}

void VarVisualMask::SetXSize(float x)
{
	xSize = x;
}

void VarVisualMask::SetYSize(float y)
{
	ySize = y;
}

GLuint VarVisualMask::GetTexture()
{
	return texture;
}

//width: the width of the original texture object
int VarVisualMask::GetWidth()        
{	
	return width;
}

//height: the height of the origianl texture object
int VarVisualMask::GetHeight()      
{
	return height;
}

float VarVisualMask::GetXPosition()
{
	return xPos;
}

float VarVisualMask::GetYPosition()
{
	return yPos;
}

void VarVisualMask::SetZPosition(float z)
{
	zPos = z;
}

float VarVisualMask::GetZPosition()
{
	return zPos;
}


float VarVisualMask::GetXSize()
{
	return xSize;
}

float VarVisualMask::GetYSize()
{
	return ySize;
}

void VarVisualMask::Draw(TableDrawer *drawer)
{
    VarDrawer *varDrawer = (VarDrawer *)drawer;
    varDrawer->DrawMask(this);
}

