#ifndef _Var_VISUAL_TimeHistogram_H
#define _Var_VISUAL_TimeHistogram_H

#include "../VisualTimeHistogram.h"

class VarVisualTimeHistogram : public VisualTimeHistogram
{
public:
	GLuint texture;
	GLuint maskTexture;
	int width;
	int height;
	float xPos;
	float yPos;
	float xSize;
	float ySize;

    int dimID;

    float zPos;

public:
	VarVisualTimeHistogram();
	~VarVisualTimeHistogram();

    void SetTexture(GLuint texture);
    void SetMaskTexture(GLuint texture);
    void SetWidth(int width);        //width: the width of the original texture object
    void SetHeight(int height);      //height: the height of the origianl texture object
    
    void SetXPosition(float x);
    void SetYPosition(float y);
    void SetZPosition(float z);

    void SetXSize(float x);
    void SetYSize(float y);

	GLuint GetTexture();
	int GetWidth();        
	int GetHeight();      
	float GetXPosition();
	float GetYPosition();
	float GetZPosition();
	float GetXSize();
	float GetYSize();

    void SetDimensionID(int id) {dimID = id;}
    int GetDimensionID() {return dimID;}

    
};

#endif

