#ifndef _VideoClip_VISUAL_AXES_META_H
#define _VideoClip_VISUAL_AXES_META_H

#include "../VisualAxesMeta.h"
#include "VideoClipDrawer.h"
#include "VideoClipDrawerSettings.h"

class VideoClipDrawer;

class VideoClipVisualAxesMeta : public VisualAxesMeta 
{
protected:
    VideoClipDrawer* drawer;
    VideoClipDrawerSettings* settings; 
	float xSize;
	float ySize;

public:
    VideoClipVisualAxesMeta(VideoClipDrawer* drawer);
	~VideoClipVisualAxesMeta();

    VisualElement* InstantVisualElement();
    void Convert(VisualElement* visualEle, DocElement* docEle);
};

#endif

