#ifndef VisualRuler_H
#define VisualRuler_H

#include <stdio.h>
#include "VisualElement.h"
#include "TableDrawer.h"

class VisualElement;

class VisualRuler : public VisualElement
{
protected:
    float x1;
    float y1;
    float x2;
    float y2;
    RGBt color;

public:
	VisualRuler();
	~VisualRuler();
	
    void SetX1(float x);
    void SetY1(float y);
    void SetX2(float x);
    void SetY2(float y);
    void SetColor(RGBt color);

    float GetX1();
    float GetY1();
    float GetX2();
    float GetY2();
    RGBt GetColor();

    void Draw(TableDrawer *drawer);
};

#endif

