#ifndef _VISUAL_TimeHistogram_META_H
#define _VISUAL_TimeHistogram_META_H

#include "VisualElementMeta.h"
#include "../DataStructure/DimensionSpace.h"

class VisualTimeHistogramMeta : public VisualElementMeta
{
protected:
    DimensionSpace* loadSpace;
    Dimension* timeDim;
public:
	VisualTimeHistogramMeta();
	virtual ~VisualTimeHistogramMeta();

    DimensionSpace* GetLoadSpace() {return loadSpace;}
    Dimension* GetTimeDimension() {return timeDim;}
};

#endif


