//GLMultipleMediaCtrl is a MultipleMediaCtrl with a gl canvas in it. Basic canvas 
//operations, such as zooming, panning, image saving can be 
//performed in this MultipleMediaCtrl

//if you need to create a "drawable" window, you can derived it from this class  

#ifndef MultipleMediaCtrl_H
#define MultipleMediaCtrl_H

#include "MediaCtrl.h"
#include <wx/timer.h>
#include "../DataStructure/VideoShotIterator.h"


enum
{
    MTIMER_ID = 20,
};

class MultipleMediaCtrl : public MediaCtrl
{
protected:
    VideoShotIterator *it;
    std::string prevFileName;
    std::string fileName;
    std::string path;

public:
    MultipleMediaCtrl(wxWindow* parent, wxWindowID id, std::string path, VideoShotIterator *it);
    ~MultipleMediaCtrl();

    void Play();

    void OnTimer(wxTimerEvent& event);

	DECLARE_EVENT_TABLE()
};


#endif

