//VarDialog is a frame with a gl canvas in it. Basic canvas 
//operations, such as zooming, panning, image saving can be 
//performed in this frame. 
#include <wx/wx.h>
#include<wx/glcanvas.h>
#include <wx/app.h>
#include "VarDialog.h"
#include "MainApplication.h"


BEGIN_EVENT_TABLE(VarDialog, wxDialog)
//    EVT_MENU(MENU_SAVEIMAGE, VarDialog::OnSaveImage)
//    EVT_SCROLL(VarDialog::OnScrBarThumbTrack)
//	EVT_LEFT_DOWN(VarDialog:
END_EVENT_TABLE()

VarDialog::VarDialog(const wxChar *title, int xpos, int ypos, int width, int height)
        :wxDialog((wxFrame *) NULL, -1, title, wxPoint(xpos, ypos), wxSize(width, height))
{
    SetModal(false);
	//set menu bar
//	menuBar = new wxMenuBar;
//	SetMenuBar(menuBar);
	//set status bar
    CreateStatusBar(3);
	SetStatusText("Ready", 0);

	//the sizer contains all stuffs
	topSizer = new wxBoxSizer( wxVERTICAL );
	SetSizer( topSizer );      

	wxPanel *quickButtonPanel = new wxPanel(this, -1, wxPoint(-1,-1), wxSize(-1,-1));
	//for child classes: quick buttons can be added into quickButtonSizer
	quickButtonSizer = new wxBoxSizer( wxHORIZONTAL );
	quickButtonPanel->SetSizer(quickButtonSizer);
	
	//for child classes: a sizer containing right buttons can be added into majorSizer
	majorSizer = new wxBoxSizer( wxHORIZONTAL );

//	topSizer->Add(quickButtonPanel, 0, wxEXPAND | wxALL, 0);
	topSizer->Add(majorSizer, 1, wxEXPAND | wxALL, 1); 
	
	wxFlexGridSizer* sliderWinSizer = new wxFlexGridSizer(2, 2, 0, 0);
	majorSizer->Add(sliderWinSizer, 1, wxEXPAND | wxALL, 0);

	sliderWinSizer->AddGrowableCol(0);
	sliderWinSizer->AddGrowableRow(0);

	sizeSlider = new wxSlider(this, -1, 0.02, 0, 1, wxPoint(-1,-1), wxSize(-1,-1)
        wxSL_HORIZONTAL, wxDefaultValidator, "slider");
	simiSelectSlider = new wxSlider(this, -1, 0.02, 0, 1, wxPoint(-1,-1), wxSize(-1,-1)
        wxSL_HORIZONTAL, wxDefaultValidator, "slider");
	distinctSelectSlider = new wxSlider(this, -1, 0.02, 0, 1, wxPoint(-1,-1), wxSize(-1,-1)
        wxSL_HORIZONTAL, wxDefaultValidator, "slider");
	distortionSlider = new wxSlider(this, -1, 0.02, 0, 1, wxPoint(-1,-1), wxSize(-1,-1)
        wxSL_HORIZONTAL, wxDefaultValidator, "slider");

    sliderWinSizer->Add(sizeSlider, 1, wxEXPAND | wxALL, 0); 
	sliderWinSizer->Add(simiSelectSlider, 1, wxEXPAND | wxALL, 0); 
	sliderWinSizer->Add(distinctSelectSlider, 1, wxEXPAND | wxALL, 0); 
	sliderWinSizer->Add(distortionSlider, 1, wxEXPAND | wxALL, 0); 

/*	wxMenu *saveMenu = new wxMenu;
	saveMenu->Append(MENU_SAVEIMAGE,  "&Save Image");
	menuBar->Append(saveMenu, "&Save");

    SetVScrollBar();
    SetHScrollBar();
*/}

VarDialog::~VarDialog()
{
//	delete canvas;

	//deletion of menubar and sizers are cared by the window
}

/*void VarDialog::SetVScrollBar()
{
    float translate = canvas->GetYTranslate();
    float zoom = canvas->GetYZoom();

    int range = 1000;
    int thumb = range / zoom;

    int pos = range * (translate + 1 - 1/zoom);
    vScrBar->SetScrollbar(pos, thumb, range, thumb);
}

void VarDialog::SetHScrollBar()
{
    float translate = fabs(canvas->GetXTranslate());
    float zoom = canvas->GetXZoom();

    int range = 1000;
    int thumb = range / zoom;
    hScrBar->SetScrollbar(translate * range, thumb, range, thumb);
}

void VarDialog::OnScrBarThumbTrack(wxScrollEvent& event)
{
    int pos = hScrBar->GetThumbPosition();
    int range = hScrBar->GetRange();
    canvas->SetXTranslate(-1. * (float)pos/range);

    pos = vScrBar->GetThumbPosition();
    range = vScrBar->GetRange();
    float zoom = canvas->GetYZoom();
    canvas->SetYTranslate((float)pos/range - 1 + 1./zoom);
    
    canvas->Refresh();
}
*/
/*void VarDialog::OnSaveImage(wxCommandEvent& event)
{
//	MainApplication *appl = &wxGetApp(); 
 //   int width, height;
 //   scrWinGetSize(&width,&height);
	canvas->WriteImage("save1.bmp");*/
}
